# Interface UnixTree

#### Hierarchy

- UnixTree
  - Tree

#### Implemented by

- BaseTree

- Defined in fs/types.ts:132

#####
Index

### Properties

readOnly

### Methods

add
cat
exists
get
ls
mkdir
mv
rm

## Properties

### readOnly

readOnly: boolean

- Defined in fs/types.ts:133

## Methods

### add

- add(path: Path, content: Uint8Array): Promise<UnixTree>

- #### Parameters

  - ##### path: Path

  - ##### content: Uint8Array

  #### Returns Promise<UnixTree>

  - Defined in fs/types.ts:138

### cat

- cat(path: Path): Promise<Uint8Array>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<Uint8Array>

  - Defined in fs/types.ts:137

### exists

- exists(path: Path): Promise<boolean>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<boolean>

  - Defined in fs/types.ts:142

### get

- get(path: Path): Promise<null | PuttableUnixTree | File>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<null | PuttableUnixTree | File>

  - Defined in fs/types.ts:141

### ls

- ls(path: Path): Promise<Links>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<Links>

  - Defined in fs/types.ts:135

### mkdir

- mkdir(path: Path): Promise<UnixTree>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<UnixTree>

  - Defined in fs/types.ts:136

### mv

- mv(from: Path, to: Path): Promise<UnixTree>

- #### Parameters

  - ##### from: Path

  - ##### to: Path

  #### Returns Promise<UnixTree>

  - Defined in fs/types.ts:140

### rm

- rm(path: Path): Promise<UnixTree>

- #### Parameters

  - ##### path: Path

  #### Returns Promise<UnixTree>

  - Defined in fs/types.ts:139

Generated using TypeDoc